package siprp.update.updates;

import siprp.higiene.gestao.importacao.Importador;

import com.evolute.module.updater.AbstractUpdate;
import com.evolute.utils.db.Executer;

public class V11_5_To_V11_6 extends AbstractUpdate
{
	
	public V11_5_To_V11_6()
	{
		super(11.5,11.6,"Adicionadas soft-references aos itens dos relatorios de H&S");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		Executer executer = getExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"alter table hs_relatorio_risco add column hs_risco_id int4; " +
					"alter table hs_relatorio_posto add column hs_posto_id int4; " +
					"alter table hs_relatorio_medida add column hs_medida_id int4; " +
					"alter table hs_relatorio_equipamento add column hs_equipamento_id int4; " +
					"alter table hs_relatorio_area add column hs_area_id int4; "
			);
		executer.executeQuery( update );
		new Importador( executer ).importar();
	}
	
}
